package de.intevation.artifactdatabase;

import org.w3c.dom.Document;

import de.intevation.artifacts.ArtifactContextFactory;

/**
 * Default implementation of the context factory.
 * Creates a new @see DefaultArtifactContext.
 *
 * @author Sascha L. Teichmann (sascha.teichmann@intevation.de)
 */
public class DefaultArtifactContextFactory
implements   ArtifactContextFactory
{
    public DefaultArtifactContextFactory() {
    }

    public Object createArtifactContext(Document config) {
        return new DefaultArtifactContext(config);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8:
